%global momorel 1

Name:           libpciaccess
Version:        0.10.2
Release:        %{momorel}m%{?dist}
Summary:        PCI access library

Group:          System Environment/Libraries
License:        MIT/X
URL:            http://gitweb.freedesktop.org/?p=xorg/lib/libpciaccess.git
# git snapshot.  To recreate, run
# % ./make-libpciaccess-snapshot.sh %{gitrev}
Source0: http://xorg.freedesktop.org/releases/individual/lib/libpciaccess-%{version}.tar.bz2 
NoSource: 0
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  autoconf automake libtool pkgconfig
Requires:       hwdata

%description
libpciaccess is a library for portable PCI access routines across multiple
operating systems.

%package devel
Summary:        PCI access library development package
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development package for libpciaccess.

%prep
%setup -q 

%build
# autoreconf -fi
%configure --disable-static
%make 

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_libdir}/libpciaccess.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/pciaccess.h
%{_libdir}/libpciaccess.so
%{_libdir}/pkgconfig/pciaccess.pc

%changelog
* Thu May 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.2-1m)
- update 0.10.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-1m)
- update 0.10

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-2m)
- %%NoSource -> NoSource

* Tue Aug 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- update 0.9.1

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-0.20070629-1m)
- Initial commit

